using System;

namespace Prvi_Zadatak___Kvadrati
{
    class Program
    {
        static void Main(string[] args)
        {
            int x1, x2, y1, y2;
            string unos;

            unos = Console.ReadLine();
            string[] razdvoj = unos.Split(' ');
            x1 = int.Parse(razdvoj[0]);
            x2 = int.Parse(razdvoj[1]);

            unos = Console.ReadLine();
            razdvoj = unos.Split(' ');
            y1 = int.Parse(razdvoj[0]);
            y2 = int.Parse(razdvoj[1]);

            if (x1 == y1 && x2 == y2)
                Console.WriteLine("ista tacka");
            else if (x1 == y1 || x2 == y2)
                Console.WriteLine("2");
            else if (Math.Abs(x1 - x2) == Math.Abs(y1 - y2))
                Console.WriteLine("1");
            else
                Console.WriteLine("0");
        }
    }
}